Subject: Re: bug#63829: 29.0.90; project-find-file's future history breaks with common-parent-directory

From: Juri Linkov <[email-masked]>
Date: Sun, 20 Aug 2023 20:16:23 +0300

> +  (if-let (filename-proj (and project-current-directory-override
> +                            (project-current nil default-directory)))
> +      ;; file-name-concat requires Emacs 28+
> +      (concat (file-name-as-directory (project-root project))
> +              (file-relative-name filename (project-root filename-proj)))
> +    filename))

I wonder why you prepend (file-name-as-directory (project-root project))?
This is unnecessary because the project root is already displayed
in the prompt, so only a relative file name is sufficient in the minibuffer:

  Find file in /project/root/: relative/file.name